Skip to main content
GET
/
cards
List cards
curl --request GET \
  --url https://api.useproxy.ai/v1/cards \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "agentId": "<string>",
      "type": "virtual",
      "usage": "single",
      "status": "<string>",
      "last4": "<string>",
      "expMonth": "<string>",
      "expYear": "<string>",
      "limits": {
        "amount": 123,
        "currency": "<string>",
        "interval": "<string>"
      },
      "merchantLock": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "lastSpendAt": "2023-11-07T05:31:56Z",
      "firstSpendAt": "2023-11-07T05:31:56Z",
      "singleUseConsumedAt": "2023-11-07T05:31:56Z",
      "policy": {
        "requireIntent": true,
        "requireAttestation": true,
        "requireApproval": true,
        "autoApproveBelow": 123,
        "attestationWindowMinutes": 123,
        "cooldownMinutes": 123,
        "ttlMinutes": 123,
        "ttlDays": 123,
        "limits": {
          "perAuth": 123,
          "perDay": 123,
          "perMonth": 123
        },
        "allowedMccs": [
          "<string>"
        ],
        "blockedMccs": [
          "<string>"
        ],
        "allowedMerchants": [
          "<string>"
        ],
        "lockToFirstMerchant": true
      },
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Query Parameters

customerId
string

Filter by customer ID

agentId
string

Filter by agent ID

limit
integer
default:50

Maximum number of results to return (default: 50)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for fetching the next page

Response

List of cards

data
object[]
required
nextCursor
string | null